TEXI2HTML(1)

NAME
texi2html - a Texinfo to HTML converter

SYNOPSIS
texi2html [options] file

DESCRIPTION
Texi2html converts the given Texinfo file to a set of HTML files. It tries to handle most of the Texinfo commands. It creates hypertext links for cross-references, footnotes...

Texi2html may furthermore use latex2html to generate HTML (code and/or images) for @math and @iftex tags (see the --l2h option).

Texi2html creates several files depending on the contents of the Texinfo file and on the chosen options (see FILES).

The HTML files created by texi2html are in general closer to TeX than to Info. Using init files (see the --init-file option), other styles or output formats may be selected.

OPTIONS
Options may be abbreviated to th shortests unique prefix. The following is only an incomplete list of the available options:

--help [1|2]
    Print usage instructions and list the most important, all relevant, or all recognised (including obsolete) command-line options, and exit.

--split chapter|section|node
    Split the output into several HTML files (one per main chapter/section or node).

--ifinfo --iftex --ifxml --ifplaintext --ifhtml
    Expand @ifinfo, @iftex and @tex, @ifxml and @xml, @ifplaintext, @ifhtml and @html regions, and don't expand @ifnot corresponding regions (default: ifhtml).

--no-ifinfo --no-iftex --no-ifxml --no-ifplaintext --no-html
    Don't expand @ifinfo, @iftex, @ifxml, @ifplaintext regions and expand @ifnot corresponding regions.

-I dir
    Append dir to the directory list searched for included files.

-P dir
    Prepend dir to the directory list searched for included files.

--l2h
    Use latex2html for content of @math and @tex tags. Content must be such that both, latex and tex, can translate it correctly. I.e., no tex-only constructs must be used.

--css-include file
    Use css file file.

--init-file file
    Load init file file (see also FILES).

--document-language lang
    Use lang as document language.

--macro-expand file
    output macro expanded source in file.

--no-menu
    Don't show the Texinfo menus; by default they are shown.

--no-number
    Don't number the sections.

--use-nodes
    Use nodes for sectionning.

--prefix
    Use as prefix for output files, instead of basename.

--node-files
    Produce one file per node for cross references.

--l2h-l2h prog
    Use prog as latex2html program (default latex2html). Program must be executable.

--l2h-init file
    Use file as latex2html init file. file should be used to specify in which way latex2html handles mathematical expressions and formulas.

--l2h-tmp dir
    Use dir as tmp dir for latex2html. This directory (resp. its path) must not contain a dot (i.e., a ".").

--l2h-clean
    remove all intermediate files generated by latex2html (prevents caching!)

--l2h-skip
    Do not really run latex2html. Use (kept) files of previous runs, instead.

--verbose
    Give a verbose output.

--version
    Print version and exit.

FILES
Initialisation options are read first from @pkgdatadir@/Config (the exact location being changeable with the --datadir=dir option to the configure script), then from @sysconfdir@/texi2html/Config (the exact location being changeable with the --sysconfdir=dir option to the configure script), then from ./Config, from $HOME/.texi2html/Config, and from any command-line options including --init-file options; with later settings overriding earlier ones.

By default texi2html my creates the following files (foo being the name of the Texinfo file):

foo_toc.html
    The table of contents (if @contents is present).

foo.html
    The document's contents or the Top element.

foo_fot.html
    The footnotes (if any).

foo_abt.html
    An help section.

foo_l2h_img*
    Images generated by latex2html (if any).

When used with the --split option, it creates several files (one per chapter or node), named foo_n.html (n being the index of the chapter or node), and the foo.html file contains the Top element.

Otherwise it creates only one file: foo.html

VERSION
This is texi2html version @PACKAGE_VERSION@, @PACKAGE_DATE@.

AUTHOR
Texi2html was originally written by is Lionel Cons, CERN IT/DIS/OSE, Lionel.Cons@cern.ch. Over time, many other people around the net contributed to this program. It was maintained by Olaf Bachmann, obachman@mathematik.uni-kl.de, and is now maintained by Derek Price.

AVAILABILITY
The latest version of this program, as well as support in the form of mailing lists with archives, bug tracking, documentation, and other tools can be found at:
     http://www.nongnu.org/texi2html/

COPYRIGHT
Copyright © 1999-2005 Patrice Dumas <pertusus@free.fr>,
                        Derek Price <derek@ximbiot.com>,
                        Adrian Aichner <adrian@xemacs.org>,
                      & others. There is NO warranty. You may redistribute this software under the terms of the GNU General Public License. For more information about these matters, see the file named COPYING.

SEE ALSO
GNU Texinfo Documentation Format
http://texinfo.org/
World Wide Web (WWW), HyperText Markup Language (HTML)
http://www.w3.org
LaTeX2HTML
http://www-dsed.llnl.gov/files/programs/unix/latex2html

BUGS
This man-page is often out-of-date. The info manual should be more up-to-date.